%define kde_version 2.2.2
%define qt_version 2.3.0

%define sourcedir stable/%{kde_version}/distribution/tar/generic/source

%define is_release 1
%define beta %{nil}

%define rel 4
%define DATE 20010805

Name: kdegraphics
Version: %{kde_version}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Graphics Applications
Epoch: 7
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}-%{beta}.tar.b
%else
Release: %{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif

Patch: post-2.2.2-kdegraphics.diff
Patch1: post-2.2.2-kdegraphics-kdvi.diff
Patch2: post-2.2.2-kdegraphics-kghostview-2.diff

%ifnarch s390 s390x
BuildRequires: sane-backends-devel >= 1.0.3-10
%endif

BuildRequires: kdelibs-devel >= %{kde_version}
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: kdelibs-sound-devel
BuildRequires: fam-devel
BuildRequires: libtiff-devel

%description
Graphics applications for the K Desktop Environment.

Includes: kdvi (displays TeX .dvi files); kfax (displays fax
files); kfract (a fractal generator); kghostview (displays postscript files);
kiconedit (icon editor); kpaint (a simple drawing program); ksnapshot (screen
capture utility); kview (image viewer for GIF, JPEG, TIFF, etc.).

%package devel
Summary: Development files for kdegraphics.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for kdegraphics

Install kdegraphics-devel if you wish to develop or compile applications that
use kdegraphics.

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif

%patch -p1 -b .sec
pushd kdvi
%patch1 -p0 -b .kdvi
popd
pushd kghostview
%patch2 -p0 -b .kghostview
popd

%build
export KDEDIR=%{_prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

test -f Makefile.cvs && make -f Makefile.cvs

CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS -fno-check-new" \
./configure \
   --prefix=%{_prefix} \
   --enable-final \
   --includedir=%{_includedir}/kde

make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install-strip DESTDIR=$RPM_BUILD_ROOT

pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -sf ../common $i
   fi
done
popd

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%{_prefix}/lib/*.la
%{_prefix}/lib/*.so*
%{_prefix}/share/applnk/Graphics/*
%{_prefix}/share/apps/*
%{_prefix}/share/icons/*/*/*/*
%doc %{_docdir}/HTML/en/*

%files devel
%ifnarch s390 s390x
%defattr(-,root,root)
%{_includedir}/kde/*.h
%endif

%changelog
* Mon Apr  7 2003 Than Ngo <than@redhat.com> 2.2.2-4
- PS/PDF file handling vulnerability

* Sat Dec 21 2002 Than Ngo <than@redhat.com> 2.2.2-3
- Multiple URL and filename vulnerabilities

* Tue Sep 24 2002 Bill Nottingham <notting@redhat.com> 2.2.2-2
- fix handling of some postscript/pdf headers in kghostview

* Thu Nov 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-1
- 2.2.2

* Sat Sep 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.1-1
- 2.2.1

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- The -devel package has kscan-related files only. Since kscan isn't built
  on s390/s390x, don't build the devel package there.

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add more build dependencies (#48970)
- Remove ia64 workarounds, no longer needed
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Restore -devel package, got lost during the update
- Fix build on s390/s390x
- Update

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.2
- Make symlinks relative
- Update

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Stop excluding ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdegraphics-1.93

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- add missing kdegraphic2 package

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- work around compiler bug by disabling kcoloredit for now, FIXME

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- SMPify build

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- fix docdir

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Epoch - for some reason, rpm thinks 1.1.2 > 1.92.20000623.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Fix compilation

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane

